Results 1 to 9 of 9

Thread: How to install Pepper flash API on Google Chromium Browser?

  1. #1
    Join Date
    Feb 2011
    Location
    127.0.0.1
    Posts
    472

    Default How to install Pepper flash API on Google Chromium Browser?

    I installed chromium browser from repos with zypper. I want to have the latest flashplayer, therefore I want to install pepper api provided by google for chromium. I couldn't find a way to do it. Can someone advise, please?
    Reliable + rider = RiDeR PlUs
    ...if you find this helpful, click on the star below...
    +-+ +-+
    |r| |+|
    +-+ +-+

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Pepper flash is in Packman repo, which I assume you already have
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Feb 2011
    Location
    127.0.0.1
    Posts
    472

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by caf4926 View Post
    Pepper flash is in Packman repo, which I assume you already have
    I couldn't find it. I searched for *pepper, but no result - in zypper. Then I searched for it in yast and finally found it.
    Reliable + rider = RiDeR PlUs
    ...if you find this helpful, click on the star below...
    +-+ +-+
    |r| |+|
    +-+ +-+

  4. #4

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by riderplus View Post
    I couldn't find it. I searched for *pepper, but no result.
    Of course not.
    You should search for *pepper* or just pepper (YaST's standard search function does not recognize * as wildcard, you would have to select "Use Wildcards" as Search mode for that).

    The package is called "chromium-pepper-flash".

  5. #5
    Join Date
    May 2010
    Location
    Space Colony Lagrange Point 22° à, 77° Ƅ, 56° ɤ, 99° ɜ
    Posts
    3,166

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    riderplus wrote:
    >
    > caf4926;2603086 Wrote:
    >> Pepper flash is in Packman repo, which I assume you already have

    > I couldn't find it. I searched for *pepper, but no result - in zypper.
    > Then I searched for it in yast and finally found it.
    >
    >

    Guess Wildcards are not required

    Code:
    $zypper se pepper
    Loading repository data...
    Reading installed packages...
    
    S | Name                              | Summary                     |
    Type
    --+-----------------------------------+-----------------------------+-----------
    | chromium-pepper-flash             | Pepperflash (FlashPlayer)-> |
    package
    | chromium-pepper-flash             | Pepperflash (FlashPlayer)-> |
    srcpackage
    | chromium-pepper-flash-debugsource | Debug sources for package-> |
    package
    $
    --
    GNOME 3.10.1
    openSUSE 13.1 (Bottle) (x86_64) 64-bit
    Kernel Linux 3.11.6-4-desktop

  6. #6
    Join Date
    Feb 2011
    Location
    127.0.0.1
    Posts
    472

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by vazhavandan View Post
    riderplus wrote:
    >
    > caf4926;2603086 Wrote:
    >> Pepper flash is in Packman repo, which I assume you already have

    > I couldn't find it. I searched for *pepper, but no result - in zypper.
    > Then I searched for it in yast and finally found it.
    >
    >

    Guess Wildcards are not required

    Code:
    $zypper se pepper
    Loading repository data...
    Reading installed packages...
    
    S | Name                              | Summary                     |
    Type
    --+-----------------------------------+-----------------------------+-----------
    | chromium-pepper-flash             | Pepperflash (FlashPlayer)-> |
    package
    | chromium-pepper-flash             | Pepperflash (FlashPlayer)-> |
    srcpackage
    | chromium-pepper-flash-debugsource | Debug sources for package-> |
    package
    $
    --
    GNOME 3.10.1
    openSUSE 13.1 (Bottle) (x86_64) 64-bit
    Kernel Linux 3.11.6-4-desktop
    Thanks, I still got a bunch of **** here:
    Code:
    sudo zypper se pepper
    Retrieving repository 'deleted' metadata .................................................................................................................[error]
    Repository 'deleted' is invalid.
    [|] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Disabling repository 'deleted'.
    Loading repository data...
    Reading installed packages...
    Reliable + rider = RiDeR PlUs
    ...if you find this helpful, click on the star below...
    +-+ +-+
    |r| |+|
    +-+ +-+

  7. #7

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by riderplus View Post
    Thanks, I still got a bunch of **** here:
    Code:
    sudo zypper se pepper
    Retrieving repository 'deleted' metadata .................................................................................................................[error]
    Repository 'deleted' is invalid.
    [|] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Disabling repository 'deleted'.
    Loading repository data...
    Reading installed packages...
    Well, do you have the Packman repo added to your system?
    Code:
    zypper lr -d
    You can add it in YaST->Software Repositories->Add->Community Repositories, or type:
    Code:
    sudo ar http://packman.inode.at/suse/13.1 Packman
    And you could remove that "deleted" repo, since it doesn't work anyway:
    Code:
    sudo rr deleted

  8. #8
    Join Date
    Feb 2011
    Location
    127.0.0.1
    Posts
    472

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by wolfi323 View Post
    Well, do you have the Packman repo added to your system?
    Code:
    zypper lr -d
    You can add it in YaST->Software Repositories->Add->Community Repositories, or type:
    Code:
    sudo ar http://packman.inode.at/suse/13.1 Packman
    And you could remove that "deleted" repo, since it doesn't work anyway:
    Code:
    sudo rr deleted
    Thanks! Just one thing:
    Code:
    sudo rr deleted
    sudo: rr: command not found
    It should be:
    Code:
    sudo zypper rr deleted
    Removing repository 'deleted' .............................................................................................................................[done]
    Repository 'deleted' has been removed.
    Reliable + rider = RiDeR PlUs
    ...if you find this helpful, click on the star below...
    +-+ +-+
    |r| |+|
    +-+ +-+

  9. #9

    Default Re: How to install Pepper flash API on Google Chromium Browser?

    Quote Originally Posted by riderplus View Post
    Thanks! Just one thing:
    Code:
    sudo rr deleted
    sudo: rr: command not found
    It should be:
    Code:
    sudo zypper rr deleted
    Removing repository 'deleted' .............................................................................................................................[done]
    Repository 'deleted' has been removed.
    Of course.
    Somehow the "zypper" got cut out...
    It's missing in the Code field above that as well. That one should read:
    Code:
    sudo zypper ar http://packman.inode.at/suse/13.1 Packman
    of course

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •